> ## Documentation Index
> Fetch the complete documentation index at: https://www.halite-app.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Audit



## OpenAPI

````yaml /api/openapi.json get /api/audit
openapi: 3.1.0
info:
  title: Halite
  version: 0.1.0
servers: []
security: []
paths:
  /api/audit:
    get:
      tags:
        - audit
      summary: List Audit
      operationId: list_audit_api_audit_get
      parameters:
        - name: user_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            title: User Id
        - name: action
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Action
        - name: decision
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Decision
        - name: since
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: Since
        - name: until
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: Until
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 500
            minimum: 1
            default: 50
            title: Limit
        - name: offset
          in: query
          required: false
          schema:
            type: integer
            minimum: 0
            title: Offset
            default: 0
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AuditListOut'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    AuditListOut:
      properties:
        total:
          type: integer
          title: Total
        entries:
          items:
            $ref: '#/components/schemas/AuditEntryOut'
          type: array
          title: Entries
      type: object
      required:
        - total
        - entries
      title: AuditListOut
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    AuditEntryOut:
      properties:
        id:
          type: integer
          title: Id
        at:
          type: string
          format: date-time
          title: At
        user_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: User Id
        action:
          type: string
          title: Action
        resource:
          type: string
          title: Resource
        args_json:
          anyOf:
            - type: object
            - type: 'null'
          title: Args Json
        salt_jid:
          anyOf:
            - type: string
            - type: 'null'
          title: Salt Jid
        decision:
          type: string
          title: Decision
        result_code:
          type: integer
          title: Result Code
        duration_ms:
          type: integer
          title: Duration Ms
      type: object
      required:
        - id
        - at
        - user_id
        - action
        - resource
        - args_json
        - salt_jid
        - decision
        - result_code
        - duration_ms
      title: AuditEntryOut
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````